Get Network by ID
curl --request GET \
--url https://api.bron.org/dictionary/networks/{networkId}import requests
url = "https://api.bron.org/dictionary/networks/{networkId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.bron.org/dictionary/networks/{networkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"addressExplorerUrl": "https://etherscan.io/address/",
"confirmations": "6",
"explorerUrl": "https://etherscan.io/tx/",
"isTestnet": true,
"name": "Ethereum",
"nativeAssetId": "<string>",
"nativeAssetSymbol": "<string>",
"networkId": "BTC",
"tags": [
"show-vault"
]
}{
"error": "bad-request",
"message": "<string>"
}{
"error": "forbidden",
"message": "<string>"
}{
"error": "conflict",
"message": "<string>"
}Get Network by ID
Retrieves information about a single network by its ID
API Key permissions: View only, Transaction Operator, Full AccessGET
/
dictionary
/
networks
/
{networkId}
Get Network by ID
Path Parameters
Response
OK
Website URL where you can look up addresses on this network
Example:
"https://etherscan.io/address/"
How many block confirmations are needed before a transaction is considered final and safe
Example:
"6"
Website URL where you can look up transactions on this network
Example:
"https://etherscan.io/tx/"
True if this is a test network used for development/testing (not real money)
The human-readable name of this network that users will see
Example:
"Ethereum"
The unique ID for this blockchain network
Example:
"BTC"
Available options:
show-vault, supports-rbf, supports-rbf-cancel, supports-memo, swap, supports-parallel-signing, supports-chained-signing, supports-fee-levels, supports-sponsored-transactions, has-token-activation, has-address-creation, has-address-server-creation, has-address-activation, evm, bridge Was this page helpful?
